package Exam;

// Nested Monitor problem

public class Lock {
	private Slot slot_ = new Slot();

	public synchronized void acquire() {
		slot_.put(this);
	}

	public synchronized void release() {
		slot_.get();
	}

/*	public void acquire() {
		slot_.put(this);
	}

	public void release() {
		slot_.get();
	} */
}